========================================================================
    ACTIVEX CONTROL DLL : MFCActiveXControl1 Project Overview
========================================================================

ControlWizard has created this project for your MFCActiveXControl1 ActiveX Control
DLL, which contains 1 control.

This skeleton project not only demonstrates the basics of writing an
ActiveX Control, but is also a starting point for writing the specific
features of your control.

This file contains a summary of what you will find in each of the files
that make up your MFCActiveXControl1 ActiveX Control DLL.

MFCActiveXControl1.vcxproj
    This is the main project file for VC++ projects generated using an
    Application Wizard. It contains information about the version of
    Visual C++ that generated the file, and information about the platforms,
    configurations, and project features selected with the Application Wizard.

MFCActiveXControl1.vcxproj.filters
    This is the filters file for VC++ projects generated using an Application Wizard. 
    It contains information about the association between the files in your project 
    and the filters. This association is used in the IDE to show grouping of files with
    similar extensions under a specific node (for e.g. ".cpp" files are associated with the
    "Source Files" filter).

MFCActiveXControl1.h
    This is the main include file for the ActiveX Control DLL.  It
    includes other project-specific includes such as resource.h.

MFCActiveXControl1.cpp
    This is the main source file that contains code for DLL initialization,
    termination and other bookkeeping.

MFCActiveXControl1.rc
    This is a listing of the Microsoft Windows resources that the project
    uses.  This file can be directly edited with the Visual C++ resource
    editor.

MFCActiveXControl1.def
    This file contains information about the ActiveX Control DLL that
    must be provided to run with Microsoft Windows.

MFCActiveXControl1.idl
    This file contains the Object Description Language source code for the
    type library of your control.

MFCActiveXControl1.ico
    This file contains an icon that will appear in the About box.  This icon
    is included by the main resource file MFCActiveXControl1.rc.

/////////////////////////////////////////////////////////////////////////////
CMFCActiveXControl1Ctrl control:

MFCActiveXControl1Ctrl.h
    This file contains the declaration of the CMFCActiveXControl1Ctrl C++ class.

MFCActiveXControl1Ctrl.cpp
    This file contains the implementation of the CMFCActiveXControl1Ctrl C++ class.

MFCActiveXControl1PropPage.h
    This file contains the declaration of the CMFCActiveXControl1PropPage C++ class.

MFCActiveXControl1PropPage.cpp
    This file contains the implementation of the CMFCActiveXControl1PropPage C++ class.

CMFCActiveXControl1Ctrl.bmp
    This file contains a bitmap that a container will use to represent the
    CMFCActiveXControl1Ctrl control when it appears on a tool palette.  This bitmap
    is included by the main resource file MFCActiveXControl1.rc.

/////////////////////////////////////////////////////////////////////////////
Other standard files:

stdafx.h, stdafx.cpp
    These files are used to build a precompiled header (PCH) file
    named MFCActiveXControl1.pch and a precompiled types (PCT) file named stdafx.obj.

resource.h
    This is the standard header file, which defines new resource IDs.
    The Visual C++ resource editor reads and updates this file.

/////////////////////////////////////////////////////////////////////////////
Other notes:

ControlWizard uses "TODO:" to indicate parts of the source code you
should add to or customize.

/////////////////////////////////////////////////////////////////////////////
